idn-hostname
An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46
idn-hostname@17.0.4 was published on 2026-09-14. Its manifest declares 1 runtime dependency and 0 peer requirements. Type declarations are bundled according to the package metadata. The declared Node.js requirement is >=24.13.1 <25 || >=26.0.0.
All idn-hostname versions · Permanent reference to 17.0.4
Package specifications
| Version | 17.0.4 |
|---|---|
| License declaration | MIT |
| Published | 2026-09-14T18:04:22.571Z |
| Node.js requirement | >=24.13.1 <25 || >=26.0.0 |
| Type declarations | Bundled declarations |
| Runtime dependency count | 1 |
| Peer requirement count | 0 |
| Optional dependency count | 0 |
| Minified size | Measurement not available yet |
| Minified + gzip | Measurement not available yet |
| Unpacked distribution size | 216.20 KiB |
| Published file count | 7 |
| Package type | commonjs |
| ES module entry | Not declared |
| Default entry | index.js |
| Side effects declaration | Not declared |
| Direct advisories | 0 |
| Resolved graph dependencies | 1 |
| Repository stars | 0 |
| Repository forks | 1 |
Install idn-hostname 17.0.4
npm install idn-hostname@17.0.4 pnpm add idn-hostname@17.0.4 yarn add idn-hostname@17.0.4
Runtime dependencies
- punycode ^2.3.1
Peer requirements
- None declared
Optional dependencies
- None declared
Resolved dependency graph
This deps.dev graph describes a generic 64-bit Linux environment, not your application lockfile.
- punycode@2.3.1 — direct
How to interpret the specifications
Bundlephobia measurements use its standard package build and may exclude peer dependencies. Unpacked npm distribution size includes shipped files and is a different measurement. Module declarations do not prove tree-shaking or runtime compatibility.
Advisories apply to this package version directly; transitive dependencies need separate inspection. Repository signals describe the whole repository and are current observations, including on historical-version pages.
Evidence and freshness
- https://registry.npmjs.org/idn-hostname/17.0.4 — retrieved 2026-10-29T19:41:42.314Z
- https://api.deps.dev/v3/systems/npm/packages/idn-hostname/versions/17.0.4 — retrieved 2026-10-29T19:41:42.832Z
- https://api.deps.dev/v3/systems/npm/packages/idn-hostname/versions/17.0.4:dependencies — retrieved 2026-10-29T19:41:42.857Z
- https://api.deps.dev/v3/projects/github.com%2FSorinGFS%2Fidn-hostname — retrieved 2026-10-29T19:41:43.003Z